Skip to content

Import user's OTP

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If the description of this document is incorrect, please refer to V3 API.

Import user's OTP

Method name

ManagementClient.import_otp

Request parameters

NameTypeIs it requiredDefault valueDescriptionSample value
list<a ImportOtpItemDto[]Yes-Parameter list

Request Response

Type: CommonResponseDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful. 200 means success.
messagestringDescription
apiCodenumberSegmented error code, which can be used to get the specific error type (successful requests are not returned). For a detailed list of error codes, see: API Code List
requestIdstringRequest ID. Returned when the request fails.

Example results:

json
{
  "statusCode": 200,
  "message": "Success",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c"
}

Data Structure

ImportOtpItemDto

NameTypeIs it requiredDescriptionSample value
userIdstringYesUser IDxxxx
otpYesOTP data Nested type: <a ImportOtpItemDataDto.

ImportOtpItemDataDto

NameTypeRequiredDescriptionSample value
secretstringyesOTP keyHZ2F6J3AGNAVSOTV
recoveryCodestringnoOTP Recovery Codeb471-8ec0-874a-087f-bccb-cd54

Agent infrastructure for identity, memory, and web action.